import { KNativePointer } from "../../src/reexport-for-generated";
import { Es2pandaAstNodeType } from "./../Es2pandaEnums";
import { Expression } from "./Expression";
import { Statement } from "./Statement";
import { checker } from "./checker";
export declare class SwitchCaseStatement extends Statement {
    constructor(pointer: KNativePointer, astNodeType: Es2pandaAstNodeType);
    static createSwitchCaseStatement(test: Expression | undefined, consequent: readonly Statement[]): SwitchCaseStatement;
    static updateSwitchCaseStatement(original: SwitchCaseStatement | undefined, test: Expression | undefined, consequent: readonly Statement[]): SwitchCaseStatement;
    get test(): Expression | undefined;
    /** @deprecated */
    setTest(test?: Expression): this;
    get consequent(): readonly Statement[];
    /** @deprecated */
    setConsequent(consequentList: readonly Statement[]): this;
    /** @deprecated */
    checkAndTestCase(comparedExprType: checker.Type | undefined, unboxedDiscType: checker.Type | undefined, node: Expression | undefined, isDefaultCase: boolean): this;
    protected readonly brandSwitchCaseStatement: undefined;
}
export declare function isSwitchCaseStatement(node: object | undefined): node is SwitchCaseStatement;
